KDE 4.7 PyKDE API Reference

- KDE's Python API

# MarbleAbstractRunner Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

This class is the base class for all Marble Runners.

## Signals

| reverseGeocodingFinished (Marble.GeoDataCoordinates coordinates, Marble.GeoDataPlacemark placemark)
| routeCalculated (Marble.GeoDataDocument route)

## Methods

| __init__ (self, QObject parent=0)
Marble.GeoDataFeature.GeoDataVisualCategory | category (self)
Marble.MarbleModel | model (self)
| reverseGeocoding (self, Marble.GeoDataCoordinates coordinates)
| search (self, QString searchTerm)
| setModel (self, Marble.MarbleModel model)

## Signal Documentation

reverseGeocodingFinished | ( | Marble.GeoDataCoordinates | coordinates,
|  | Marble.GeoDataPlacemark | placemark
| ) |  |  |

Reverse geocoding is finished, result in the given placemark. To be emitted by runners after a

See also:
  reverseGeocoding call.

Signal syntax:
  `QObject.connect(source, SIGNAL("reverseGeocodingFinished(const Marble::GeoDataCoordinates&, const Marble::GeoDataPlacemark&)"), target_slot)`

routeCalculated | ( | Marble.GeoDataDocument | route
| ) |  |  |

Route download/calculation is finished, result in the given route object. To be emitted by runners after a

See also:
  retrieveRoute call.

Signal syntax:
  `QObject.connect(source, SIGNAL("routeCalculated(Marble::GeoDataDocument*)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Constructor; note that parent should be 0 in order to move the thread object into its own thread.

Marble.GeoDataFeature.GeoDataVisualCategory category | ( |  | self ) |

This function gives the icon for this runner

Returns:
  the icon of the runner

Marble.MarbleModel model | ( |  | self ) |

Access to the currently used map, or null if no was set with

See also:
  setMap

reverseGeocoding | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

Start a reverse geocoding request. Called by MarbleRunnerManager, runners are expected to return the result via the reverseGeocodingFinished signal. If implemented in a plugin, make sure to include ReverseGeocoding in the plugin capabilities, otherwise MarbleRunnerManager will ignore the plugin

search | ( | self, |
|  | QString | searchTerm
| ) |  |  |

Start a placemark search. Called by MarbleRunnerManager, runners are expected to return the result via the searchFinished signal. If implemented in a plugin, make sure to include Search in the plugin capabilities, otherwise MarbleRunnerManager will ignore the plugin

setModel | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Stores a pointer to the currently used map